package domain

type AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult struct {
	/*
	   操作结果信息摘要     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Datas *[]AlibabaWdkMarketingItempoolItemRemoveAsyncItemPoolSku `json:"datas,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult) SetDatas(v []AlibabaWdkMarketingItempoolItemRemoveAsyncItemPoolSku) *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolItemRemoveAsyncMarketResult {
	s.Success = &v
	return s
}
